@import '../../assets/global.scss';

a {
  color: $color-primary;
}

.login {
  width: 100%;
  height: 100%;
  margin: 0;
}

.header {
  height: 95vh;
  background-image: linear-gradient(
      to right bottom,
      rgba($color-white, 0.8),
      rgba($color-primary, 0.8)
  ),
  url(../../assets/images/barnabe-header-large.jpg);
  background-size: cover;
  background-position: top;

  position: relative;

  // styling the polygon
  -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 85%);
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 85%);

  @include respond(md) {
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }

  &__logo-box {
    position: absolute;
    top: 4rem;
    left: 4rem;
  }

  &__logo {
    height: 3.5rem;
  }

  &__text-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    text-align: center;
  }

  &-text {
    // color: $color-white;
    font-size: 0.8rem;
    font-weight: 300;
  }
}

.heading-primary {
  color: $color-white;
  text-transform: uppercase;

  backface-visibility: hidden; /* fix the issue of the animation going a little bit top */

  margin-bottom: 1rem;

  &--main {
    animation-name: moveInLeft;
    animation-duration: 1s;
    animation-timing-function: ease-out;


    @include respond(phone) {
      letter-spacing: 1rem;
      font-size: 5rem;
    }
  }

  &--sub {
    display: block;
    font-size: 1.1rem;
    font-weight: 700;
    letter-spacing: 0.5rem;
    text-align: center;

    animation: moveInRight 1s ease-out;

    @include respond(md) {
      letter-spacing: 0.5rem;
      font-size: 0.8rem;
    }
  }
}

.heading-secondary {
  font-size: 2.5rem;
  text-transform: uppercase;
  font-weight: 700;
  display: inline-block;
  background-image: linear-gradient(
      to right,
      $color-primary-light,
      $color-primary-dark
  );
  -webkit-background-clip: text;
  color: transparent;
  letter-spacing: 2px;
  transition: all 0.2s;

  @include respond(md) {
    font-size: 2rem;
  }

  @include respond(sm) {
    font-size: 1.5rem;
  }

  &:hover {
    transform: skewY(1deg) skewX(1deg) scale(1.1);
    text-shadow: 0.5rem 1rem 2rem rgba($color-black, 0.2);
  }
}

.heading-tertiary {
  font-size: $default-font-size;
  font-weight: 700;
  text-transform: uppercase;
  color: $color-primary;

  @include respond(sm) {
    font-size: 1.1rem;
  }
}

.presentation {
  line-height: 2.1rem;
  font-size: 1.2rem;
}

.composition {
  position: relative;

  &__photo {
    box-shadow: 0 1.5rem 4rem rgba($color-black, 0.4);
    border-radius: 2px;
    z-index: 10;
    transition: all 0.2s;
    outline-offset: 0.8rem;
    height: 30%;

    @include respond(xs) {
      box-shadow: 0 1.5rem 3rem rgba($color-black, 0.2);
    }

    &--p1 {

      @include respond(md) {
        top: 0;
        transform: scale(1.2);
      }

      @include respond(sm) {
        height: 15rem;
      }
    }

    &--p2 {
      float: right;

      @include respond(md) {
        top: -1rem;
        transform: scale(1.3);
        z-index: 100;
      }

      @include respond(sm) {
        display: none;
      }
    }

    &--p3 {
      height: 10rem;
      width: 15rem;
      object-fit: cover;

      @include respond(md) {
        // top: 1rem;
        // left: 0;
        transform: scale(1.1);
      }
    }

    &:hover {
      // outlines looks like a border but we can offset it in the parent element
      outline: 0.2rem solid $color-primary;
      transform: scale(1.05) translateY(-0.5px);
      box-shadow: 0 2.5rem 4rem rgba($color-black, 0.5);
      z-index: 20;
    }
  }

  &:hover &__photo:not(:hover) {
    transform: scale(0.95);
  }
}


.section-about {
  padding: 10rem  3rem 0 3rem;
  margin-top: -30vh;

  ul {
    padding: 0 2rem;
    line-height: 2rem;
  }

  @include respond(md) {
    padding: 15rem 2rem 5rem 2rem;
  }
}

.footer {
  background-color: $color-grey-dark-3;
  padding: 2rem 0;
  font-size: 0.8rem;
  color: $color-grey-light-1;

  @include respond(phone) {
    padding: 8rem;
  }

  @include respond(md) {
    padding: 8rem 0;
  }

  &__logo-box {
    text-align: center;


    @include respond(md) {
      margin-bottom: 6rem;
    }
  }

  &__logo {
    width: 3rem;
    height: auto;

    img {
      height: 5rem;
    }
  }

  &__navigation {
    border-top: 1px solid $color-grey-dark;
    padding-top: 2rem;
    display: inline-block;

    @include respond(md) {
      width: 100%;
      text-align: center;
    }
  }

  &__list {
    list-style: none;
  }

  &__item {
    display: inline-block;

    &:not(:last-child) {
      margin-right: 1.5rem;
    }
  }

  &__link {
    &:link,
    &:visited {
      color: $color-grey-dark-3;
      font-weight: 900;
      text-decoration: none;
      text-transform: uppercase;
      display: inline-block;
      transition: all 0.2s;
    }

    &:hover,
    &:active {
      color: $color-primary;
      transform: scale(1.1);
    }
  }

  &__copyright {
    border-top: 1px solid $color-grey-dark;
    padding-top: 2rem;
    font-size: 0.7rem;
    width: 80%;
    float: right;

    @include respond(md) {
      width: 100%;
      float: none;
      margin-bottom: 5rem;
    }
  }

  #cgu {
    &:link,
    &:visited {
      cursor: pointer;
      text-decoration: none;
      color: $color-white;
      text-transform: uppercase;

    }


    &:hover {
      color: $color-primary;
    }
  }
}
